﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using Infragistics.Windows.Reporting;
using Test.Chartreport.Xaml;

namespace Test.Chartreport.Console
{
    class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            // kill all open xps viewers and remove the old xps file
            Array.ForEach(Process.GetProcessesByName("xpsrchvw"), p => p.Kill());
            Thread.Sleep(500);
            File.Delete("c:\\temp\\test.xps");


            // create and save xps report
            var reportObj = new Report();

            // TODO What do do here to make the control/chart to actually render??
            var control = new ChartControl();
            control.Height = 500;
            control.Width = 500;

            // TODO what to do with the section to make it actually render??
            var section = new EmbeddedVisualReportSection(control);
            reportObj.Sections.Add(section);
            
            
            // export xps and open in viewer
            reportObj.Export(OutputFormat.XPS, "c:\\temp\\test.xps");
            new Process { StartInfo = new ProcessStartInfo("cmd", "/c start c:\\temp\\test.xps") }.Start();
        }
    }
}
